import React from 'react';
import { Modal, ModalProps, Input, Button } from 'antd';
import styles from './FolderSetModal.less';
import classNames from 'classnames';

export default function FolderSetModal(props: ModalProps) {
  const { className, ...restProps } = props;
  return (
    <Modal
      title="同步设置"
      className={classNames(styles.modal, className)}
      width={360}
      {...restProps}
      footer={null}
      maskClosable={false}
    >
      <span className={styles.label}>「工作空间」本地盘位置</span>
      <Input size="small" suffix={<Button type="link">选择</Button>} />

      <div className={styles.btnGroup}>
        <Button className={styles.btn} type="primary">
          更新资料
        </Button>
      </div>
    </Modal>
  );
}
